/**
 * Reconstruct original types from serialized message
 * @param {*} value
 */
export function parseConsoleArg(value: any): any;
/**
 * Serialize console arguments and send them to puppeteer. Unfortunately for
 * us the native serialization methods for JSHandle objects from puppeteer
 * are lossy. They turn Error objects into `{}` and `null` to `undefined`.
 * The passed "preview" object is incomplete and truncates all data for nested
 * objects or other complex values.
 *
 * The only way to keep the data intact is to use a custom serialization format
 * and pass it around as a string.
 *
 * @param {import('./config').Config} config
 * @param {import('puppeteer').Page} page
 */
export function forwardBrowserConsole(config: import('./config').Config, page: import('puppeteer').Page): Promise<void>;
