/// <reference types="node" />
export type Config = {
    config_file: string;
    no_external_locking?: boolean;
    no_locking?: boolean;
    locking_verbose?: boolean;
    external_locking_client?: string;
    external_locking_url?: string;
    expect_nothing?: boolean;
    log_file?: string;
    log_file_stream?: fs.WriteStream;
    repeatFlaky: number;
    concurrency: number;
    watch: boolean;
    watch_files?: string;
    testsGlob: string;
    moduleType: "commonjs" | "esm";
    show_interactions?: boolean;
    snapshot_directory: string;
    update_snapshots?: boolean;
    video?: boolean;
    video_directory: string;
};
export function listEnvs(configDir: any): any[];
export function parseArgs(options: any, raw_args: any): any;
/**
 * @typedef {{config_file: string, no_external_locking?: boolean, no_locking?: boolean, locking_verbose?: boolean, external_locking_client?: string, external_locking_url?: string, expect_nothing?: boolean, log_file?: string, log_file_stream?: fs.WriteStream, repeatFlaky: number, concurrency: number, watch: boolean, watch_files?: string, testsGlob: string, moduleType: "commonjs" | "esm", show_interactions?: boolean, snapshot_directory: string, update_snapshots?: boolean, video?: boolean, video_directory: string}} Config
 */
/**
 * @param {import('./main').PentfOptions} options
 * @param {object} args
 * @returns {Config}
 */
export function readConfig(options: import('./main').PentfOptions, args: object): Config;
export function getCPUCount(): number;
declare function readConfigFile(configDir: any, env: any, moduleType: any): any;
declare function computeConcurrency(spec: any, { cpuCount }?: {
    cpuCount?: any;
}): number;
export function _setConfig(res: any, arg: any): void;
import fs = require("fs");
export { readConfigFile as _readConfigFile, computeConcurrency as _computeConcurrency };
