export function color(config: any, colorName: any, str: any): any;
/**
 * @param {*} config
 * @param {import('./internal').RunnerState} state
 * @private
 */
export function detailedStatus(config: any, state: import('./internal').RunnerState): any;
/**
 * @param {import('./config').Config} config
 * @param {import('./internal').RunnerState} state
 */
export function finish(config: import('./config').Config, state: import('./internal').RunnerState): void;
/**
 * Format the error
 * @param {*} config Penf config object
 * @param {Error} err Error object to format
 * @returns {Promise<string>}
 * @hidden
 */
export function formatError(config: any, err: Error): Promise<string>;
/**
 * Convert a time to a human readable string with colors
 * @param {*} config
 * @param {number} duration Time in ms
 */
export function formatDuration(config: any, duration: number): any;
/**
 * @param {import('./config').Config} config
 * @param {import('./browser_utils).Result} violation
 * @private
 */
export function formatA11yError(config: import('./config').Config, violation: any): any;
/**
 * Convert a time to a human readable string
 * @param {number} duration Time in ms
 */
export function formatTime(duration: number): string;
/**
 * Generate a string representation for a random value.
 *
 * @param {*} value A random value.
 * @hidden
 */
export function valueRepr(value: any): string;
/**
 * @param {import('./config').Config} config
 * @param {*} message
 */
export function log(config: import('./config').Config, message: any): any;
/**
 * @param {import('./config').Config} config
 * @param {import('./internal').Task} task
 * @private
 */
export function logTaskError(config: import('./config').Config, task: import('./internal').Task): Promise<void>;
/**
 * @param {import("./config").Config} config
 * @param {string} message
 */
export function logVerbose(config: import("./config").Config, message: string): void;
/**
 * Generates a diff to be printed in stdout
 * @param {*} config The pentf configuration object.
 * @param {Error} err The error to generate the diff from
 * @returns {string}
 * @hidden
 */
export function generateDiff(config: any, err: Error): string;
/**
 * @param {import('./config').Config} config
 * @param {import('./internal').RunnerState} state
 */
export function proxyConsole(config: import('./config').Config, state: import('./internal').RunnerState): () => void;
/**
 * @param {import('./config').Config} config
 * @param {import('./internal').Task} task
 * @private
 */
export function shouldShowError(config: import('./config').Config, task: import('./internal').Task): boolean | "";
/**
 * @param {import('./config').Config} config
 * @param {import('./internal').RunnerState} state
 * @private
 */
export function status(config: import('./config').Config, state: import('./internal').RunnerState): void;
/**
 * Convert a value into a formatted string that can be used for
 * comparisons. Contrary to `JSON.stringify(value, null, 2)` this
 * will sort object properties which is necessary to get a meaningful
 * diff.
 * @param {*} value Value to stringify
 * @returns {string}
 * @hidden
 */
export function stringify(value: any, level?: number): string;
