const assert = require('assert').strict;
const path = require('path');
const child_process = require('child_process');

async function run() {
    // Run in subprocess so that handle exhaustion does not affect this process
    const sub_run = path.join(__dirname, 'glob_tests', 'run');
    const { stderr } = await new Promise((resolve, reject) => {
        child_process.execFile(
            process.execPath,
            [
                sub_run,
                '--exit-zero',
                '--no-screenshots',
                '--tests-glob',
                '*.spec.js',
            ],
            { cwd: path.dirname(sub_run) },
            (err, stdout, stderr) => {
                if (err) reject(err);
                else resolve({ stdout, stderr });
            }
        );
    });

    assert(/1 tests passed/.test(stderr), '1 test should pass');
}

module.exports = {
    description: 'Test glob options',
    resources: [],
    run,
};
